%
% computes the cost function
%
function [val,Hm,He,Hd]= J(data, N, dt, c, l, g1, g2, a)
    n = floor(1/dt);
    H0 = data(1)/N;
    I0 = 10*H0;
    S0 = 1-I0-H0;
    R0 = 0;
    T = length(data);
   [Sm,Im,Hm,Rm] = integrate(S0, I0, H0, R0, T, dt, c, l, g1, g2, a);
    He=[];
    for i=1:T
        He(i) = Hm(n*i);
    end
    Hd=[];
    for i=1:T
        Hd(i) = data(i)/N;
    end    
    diff=zeros(T,1);
    for i=1:T
        diff(i) = He(i) - Hd(i);
    end
    val=norm(diff)^2;