%
%  solves the system of ODE
%
function [S,I,H,R]=integrate(S0, I0, H0, R0, T, dt, c, l, g1, g2, a)
    S = [S0];
    I = [I0];
    H = [H0];
    R = [R0];
    n = floor(1/dt);
    for i=1:(T*n)
        S(i+1)=S(i) - (c*exp(-l*i*dt)*I(i)*S(i))*dt;
        I(i+1)=I(i) + (c*exp(-l*i*dt)*I(i)*S(i)-a*I(i)-g1*I(i))*dt;
        H(i+1)=H(i) + (a*I(i) - g2*H(i))*dt;
        R(i+1)=R(i) + (g1*I(i) + g2*H(i))*dt;
    end